VkCommandBufferInheritanceInfo Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkRenderPass | renderPass
uint32_t | subpass
VkFramebuffer | framebuffer
VkBool32 | occlusionQueryEnable
VkQueryControlFlags | queryFlags
VkQueryPipelineStatisticFlags | pipelineStatistics

## Detailed Description

Definition at line 2685 of file vulkan_core.h.

## Field Documentation

## framebuffer

VkFramebuffer VkCommandBufferInheritanceInfo::framebuffer

Definition at line 2690 of file vulkan_core.h.

## occlusionQueryEnable

VkBool32 VkCommandBufferInheritanceInfo::occlusionQueryEnable

Definition at line 2691 of file vulkan_core.h.

## pipelineStatistics

VkQueryPipelineStatisticFlags VkCommandBufferInheritanceInfo::pipelineStatistics

Definition at line 2693 of file vulkan_core.h.

## pNext

const void* VkCommandBufferInheritanceInfo::pNext

Definition at line 2687 of file vulkan_core.h.

## queryFlags

VkQueryControlFlags VkCommandBufferInheritanceInfo::queryFlags

Definition at line 2692 of file vulkan_core.h.

## renderPass

VkRenderPass VkCommandBufferInheritanceInfo::renderPass

Definition at line 2688 of file vulkan_core.h.

## sType

VkStructureType VkCommandBufferInheritanceInfo::sType

Definition at line 2686 of file vulkan_core.h.

## subpass

uint32_t VkCommandBufferInheritanceInfo::subpass

Definition at line 2689 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h